---
title: HTMLShadowElement.getDistributedNodes()
slug: Web/API/HTMLShadowElement/getDistributedNodes
tags:
  - API
  - HTML DOM
  - Property
  - Reference
  - Web Components
---
<div>{{APIRef("Web Components")}}{{Deprecated_header}}</div>

<p>The <code><strong>HTMLShadowElement.getDistributedNodes()</strong></code> method returns a static {{domxref("NodeList")}} of the {{glossary("distributed nodes")}} associated with this <code>&lt;shadow&gt;</code> element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>nodeList</var> = <var>object</var>.getDistributedNodes()
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// Get the distributed nodes
var nodes = myShadowObject.getDistributedNodes();</pre>

<h2 id="Specifications">Specifications</h2>

<p>This feature is no longer defined by any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLShadowElement.getDistributedNodes")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/HTMLShadowElement">HTMLShadowElement</a></li>
</ul>
